HepMC3 event record library: VectorUIntAttribute Class Reference

HepMC3 event record library

Public Member Functions | Protected Member Functions | Private Attributes
VectorUIntAttribute Class Reference

## Detailed Description

Attribute that holds a vector of unsigned integers of type unsigned int.

Definition at line 897 of file Attribute.h.

`#include <Attribute.h>`

Inheritance diagram for VectorUIntAttribute:
[legend]
Collaboration diagram for VectorUIntAttribute:
[legend]

## Public Member Functions
| VectorUIntAttribute ()
| Default constructor.
| VectorUIntAttribute (std::vector< unsigned int > val)
| Constructor initializing attribute value.
bool | from_string (const std::string &att) override
| Implementation of Attribute::from_string.
bool | to_string (std::string &att) const override
| Implementation of Attribute::to_string.
std::vector< unsigned int > | value () const
| get the value associated to this Attribute.
void | set_value (const std::vector< unsigned int > &i)
| set the value associated to this Attribute.
virtual bool | init ()
| Optionally initialize the attribute after from_string.
virtual bool | init (const GenRunInfo &)
| Optionally initialize the attribute after from_string.
bool | is_parsed () const
| Check if this attribute is parsed.
const std::string & | unparsed_string () const
| Get unparsed string.
const GenEvent * | event () const
GenParticlePtr | particle ()
ConstGenParticlePtr | particle () const
GenVertexPtr | vertex ()
ConstGenVertexPtr | vertex () const

## Protected Member Functions
void | set_is_parsed (bool flag)
| Set is_parsed flag.
void | set_unparsed_string (const std::string &st)
| Set unparsed string.

## Private Attributes
std::vector< unsigned int > | m_val
| Attribute value.
bool | m_is_parsed
| Is this attribute parsed?
std::string | m_string
| Raw (unparsed) string.
const GenEvent * | m_event
GenParticlePtr | m_particle
| controlling GenEvent object.
GenVertexPtr | m_vertex
| Vertex to which assigned.

## Constructor & Destructor Documentation

## ◆ VectorUIntAttribute() [1/2]

VectorUIntAttribute | ( |  | ) |
| inline

Default constructor.

Definition at line 901 of file Attribute.h.

References Attribute::Attribute(), and m_val.

## ◆ VectorUIntAttribute() [2/2]

VectorUIntAttribute | ( | std::vector< unsigned int > | val | ) |
| inline

Constructor initializing attribute value.

Definition at line 904 of file Attribute.h.

References Attribute::Attribute(), and m_val.

## Member Function Documentation

## ◆ event()

const GenEvent * event | ( |  | ) | const
| inlineinherited

return the GenEvent to which this Attribute belongs, if at all.

Definition at line 108 of file Attribute.h.

References GenEvent, and m_event.

## ◆ from_string()

bool from_string | ( | const std::string & | att | ) |
| inlineoverridevirtual

Implementation of Attribute::from_string.

Implements Attribute.

Definition at line 907 of file Attribute.h.

References m_val, and Attribute::set_is_parsed().

## ◆ init() [1/2]

virtual bool init | ( |  | ) |
| inlinevirtualinherited

Optionally initialize the attribute after from_string.

Reimplemented in HEPEUPAttribute.

Definition at line 81 of file Attribute.h.

## ◆ init() [2/2]

virtual bool init | ( | const GenRunInfo & |  | ) |
| inlinevirtualinherited

Optionally initialize the attribute after from_string.

Is passed a reference to the GenRunInfo object to which the Attribute belongs.

Reimplemented in HEPEUPAttribute.

Definition at line 90 of file Attribute.h.

## ◆ is_parsed()

bool is_parsed | ( |  | ) | const
| inlineinherited

Check if this attribute is parsed.

Definition at line 102 of file Attribute.h.

References m_is_parsed.

## ◆ particle() [1/2]

GenParticlePtr particle | ( |  | ) |
| inlineinherited

return the GenParticle to which this Attribute belongs, if at all.

Definition at line 113 of file Attribute.h.

References m_particle.

## ◆ particle() [2/2]

ConstGenParticlePtr particle | ( |  | ) | const
| inlineinherited

return the GenParticle to which this Attribute belongs, if at all.

Definition at line 118 of file Attribute.h.

References m_particle.

## ◆ set_is_parsed()

void set_is_parsed | ( | bool | flag | ) |
| inlineprotectedinherited

Set is_parsed flag.

Definition at line 134 of file Attribute.h.

References m_is_parsed.

## ◆ set_unparsed_string()

void set_unparsed_string | ( | const std::string & | st | ) |
| inlineprotectedinherited

Set unparsed string.

Definition at line 137 of file Attribute.h.

References m_string.

## ◆ set_value()

void set_value | ( | const std::vector< unsigned int > & | i | ) |
| inline

set the value associated to this Attribute.

Definition at line 929 of file Attribute.h.

References m_val, and Attribute::set_is_parsed().

## ◆ to_string()

bool to_string | ( | std::string & | att | ) | const
| inlineoverridevirtual

Implementation of Attribute::to_string.

Implements Attribute.

Definition at line 917 of file Attribute.h.

References m_val.

## ◆ unparsed_string()

const std::string & unparsed_string | ( |  | ) | const
| inlineinherited

Get unparsed string.

Definition at line 105 of file Attribute.h.

References m_string.

## ◆ value()

std::vector< unsigned int > value | ( |  | ) | const
| inline

get the value associated to this Attribute.

Definition at line 924 of file Attribute.h.

References m_val.

## ◆ vertex() [1/2]

GenVertexPtr vertex | ( |  | ) |
| inlineinherited

return the GenVertex to which this Attribute belongs, if at all.

Definition at line 123 of file Attribute.h.

References m_vertex.

## ◆ vertex() [2/2]

ConstGenVertexPtr vertex | ( |  | ) | const
| inlineinherited

return the GenVertex to which this Attribute belongs, if at all.

Definition at line 128 of file Attribute.h.

References m_vertex.

## Field Documentation

## ◆ m_event

const GenEvent* m_event
| privateinherited

Possibility to be aware of the

Definition at line 145 of file Attribute.h.

## ◆ m_is_parsed

bool m_is_parsed
| privateinherited

Is this attribute parsed?

Definition at line 143 of file Attribute.h.

## ◆ m_particle

GenParticlePtr m_particle
| privateinherited

controlling GenEvent object.

Particle to which assigned.

Definition at line 147 of file Attribute.h.

## ◆ m_string

std::string m_string
| privateinherited

Raw (unparsed) string.

Definition at line 144 of file Attribute.h.

## ◆ m_val

std::vector<unsigned int> m_val
| private

Attribute value.

Definition at line 935 of file Attribute.h.

## ◆ m_vertex

GenVertexPtr m_vertex
| privateinherited

Vertex to which assigned.

Definition at line 148 of file Attribute.h.

The documentation for this class was generated from the following file:

- Attribute.h